# Generated by Django 4.2.8 on 2024-01-02 18:52

from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0089_log_entry_data_json_null_to_object'),
    ]

    operations = [
        migrations.CreateModel(
            name='MenuItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path', models.CharField(max_length=255, unique=True)),
                ('depth', models.PositiveIntegerField()),
                ('numchild', models.PositiveIntegerField(default=0)),
                ('item_type', models.CharField(choices=[('root', 'Root'), ('section', 'Section'), ('separator', 'Separator'), ('text', 'Text'), ('internal_link', 'Internal Link'), ('external_link', 'External Link')], default='root', max_length=20)),
                ('title', models.CharField(blank=True, max_length=200, null=True, verbose_name='Title')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, null=True, populate_from='title', separator='_', verbose_name='Slug')),
                ('url', models.URLField(blank=True, null=True, verbose_name='URL')),
                ('target', models.CharField(choices=[('_self', 'Same Window'), ('_blank', 'New Window')], default='_self', max_length=10, verbose_name='Target')),
                ('page', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailcore.page', verbose_name='Page')),
            ],
            options={
                'verbose_name': 'Menu Item',
                'verbose_name_plural': 'Menu Items',
            },
        ),
        migrations.CreateModel(
            name='Menu',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('translation_key', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('name', models.CharField(max_length=100)),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='name', separator='_')),
                ('locale', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='wagtailcore.locale')),
                ('root', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='egowagtailmenus.menuitem')),
            ],
            options={
                'verbose_name': 'Menu',
                'verbose_name_plural': 'Menus',
                'abstract': False,
                'unique_together': {('translation_key', 'locale')},
            },
        ),
    ]
